This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 247352 - /sys/devices/system/cpu/cpuidle 'breaks' initscript
/sys/devices/system/cpu/cpuidle 'breaks' initscript
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cpuspeed (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-07 11:55 EDT by Tom London
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.2.1-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-11 11:24:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom London 2007-07-07 11:55:59 EDT
Description of problem:
Latest Rawhide kernels seem to create a 'cpuidle' subdirectory of
/sys/devices/system/cpu.

This causes borkage with the init script.

Perhaps something like the following:

--- cpuspeed.old        2007-07-07 08:51:30.000000000 -0700
+++ cpuspeed    2007-07-07 08:51:24.000000000 -0700
@@ -18,7 +18,7 @@
 fi
 
 cpu0freqd=/sys/devices/system/cpu/cpu0/cpufreq
-cpus='/sys/devices/system/cpu/cpu*'
+cpus='/sys/devices/system/cpu/cpu[0-9]*'
 testpat="${cpus}/cpufreq/scaling_driver"
 lockfile="/var/lock/subsys/$prog"
 xendir="/proc/xen"



Version-Release number of selected component (if applicable):
cpuspeed-1.2.1-1.59.fc8

How reproducible:
Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jarod Wilson 2007-07-07 16:20:22 EDT
Fixed in cpuspeed-1.2.1-2.fc8.
Comment 2 Fedora Update System 2007-07-11 11:24:39 EDT
cpuspeed-1.2.1-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.